# $Id: gstreamer-plugins-0.6.spec,v 1.1 2004/02/24 22:23:19 dude Exp $

%define major   0.6
%define _glib2  2.0.0
#define patched .patched

Summary: GStreamer Streaming-media framework plugins
Name: gstreamer-plugins
Version: 0.6.4
Release: 0.4.fr
License: LGPL
Group: Applications/Multimedia
Source: gst-plugins-%{version}%{?patched}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: glib2 >= %{_glib2}
BuildRequires: glib2-devel >= %{_glib2}
Requires: gstreamer >= %{version}
PreReq: /usr/bin/gst-register
PreReq: GConf2
PreReq: /usr/bin/gconftool-2
BuildRequires: gstreamer-devel >= %{version} 
BuildRequires: arts-devel
BuildRequires: audiofile-devel >= 0.2.1
BuildRequires: cdparanoia-devel >= alpha9.7
BuildRequires: esound-devel >= 0.2.8
BuildRequires: gnome-vfs2-devel >= 2.1.3
BuildRequires: libjpeg-devel
# don't buildrequires it; silly patents :(
BuildRequires: libmad-devel, flac-devel, Hermes-devel
BuildRequires: gcc-c++, a52dec-devel, alsa-lib-devel, lame-devel
BuildRequires: libpng-devel, libraw1394-devel, libghttp-devel
BuildRequires: libfame-devel, libdvdread-devel, aalib-devel, libdv-devel
BuildRequires: libid3tag-devel, mjpegtools-devel, mpeg2dec-devel
BuildRequires: mikmod
BuildRequires: gstreamer-devel >= 0.5.2-8
BuildRequires: SDL-devel >= 1.2.0
BuildRequires: libogg-devel >= 1.0
BuildRequires: libvorbis-devel >= 0:1.0beta4
Patch0: gst-plugins-0.6.3-alsa-1.0.patch
Patch1: gst-plugins-0.4.2-pthread-includes.patch
Patch2: gst-plugins-0.6.4-mpeg2dec-0.4.0.diff
#Patch3: gstreamer-plugins-0.6.0-fPIC.patch
#Patch4: gstreamer-plugins-0.6.0-noffmpeg.patch

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

%package devel
Summary: Libraries/include files for GStreamer plugins.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gstreamer-devel >= %{version}

%description devel
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%package mp3
Summary: Gstreamer input plugin for mp3 playback.
Group: Applications/Multimedia
Requires: %{name} = %{version}

%description mp3
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the plugin necessary to enable mp3 file playback through
the libmad library.

%package extras
Summary: Gstreamer extra plugins not included in the Fedora Core package.
Group: Applications/Multimedia
Requires: %{name} = %{version}

%description extras
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains extra plugins which are mostly not included in Fedora
Core for legal (software patent) reasons.

%prep
%setup -q -n gst-plugins-%{version}
%patch0 -p1 -b .alsa-1.0
%patch1 -p1 -b .pthread-includes
%patch2 -p0 -b .mpeg2dec

%build
%configure --disable-vorbistest \
%ifnarch %{ix86}
  --disable-qcam \
%else
  --enable-qcam \
%endif
  --disable-DEBUG --disable-debug --disable-tests --disable-examples

make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{major}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{major}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_includedir}/gstreamer-%{major}/gst/media-info/media-info.h
rm -f $RPM_BUILD_ROOT%{_libdir}/libgstmedia-info*.so*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
#env DISPLAY= /usr/bin/gst-register >/dev/null 2>&1
#export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
#SCHEMAS="gstreamer.schemas"
#for S in $SCHEMAS; do 
#  gconftool-2 --makefile-install-rule /etc/gconf/schemas/$S > /dev/null
#done

%postun
/sbin/ldconfig
env DISPLAY= /usr/bin/gst-register >/dev/null 2>&1

%post mp3
/sbin/ldconfig
env DISPLAY= /usr/bin/gst-register >/dev/null 2>&1

%postun mp3
/sbin/ldconfig
env DISPLAY= /usr/bin/gst-register >/dev/null 2>&1

%post extras
/sbin/ldconfig
env DISPLAY= /usr/bin/gst-register >/dev/null 2>&1

%postun extras
/sbin/ldconfig
env DISPLAY= /usr/bin/gst-register >/dev/null 2>&1

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README
%exclude %{_sysconfdir}/gconf/schemas/gstreamer.schemas
%{_bindir}/*
%{_libdir}/*so.*
%dir %{_libdir}/gstreamer-%{major}
%ifarch %{ix86} ia64 ppc ppc64 x86_64
%{_libdir}/gstreamer-%{major}/libgst1394.*
%endif
%{_libdir}/gstreamer-%{major}/libgstac3parse.*
%{_libdir}/gstreamer-%{major}/libgstadder.*
%{_libdir}/gstreamer-%{major}/libgstalaw.*
%{_libdir}/gstreamer-%{major}/libgstarts.*
%{_libdir}/gstreamer-%{major}/libgstartsdsink.*
%{_libdir}/gstreamer-%{major}/libgstaudio.*
%{_libdir}/gstreamer-%{major}/libgstaudiofile.*
%{_libdir}/gstreamer-%{major}/libgstaudioscale.*
%{_libdir}/gstreamer-%{major}/libgstauparse.*
%{_libdir}/gstreamer-%{major}/libgstavidemux.*
%{_libdir}/gstreamer-%{major}/libgstavimux.*
%{_libdir}/gstreamer-%{major}/libgstcdparanoia.*
%{_libdir}/gstreamer-%{major}/libgstcdplayer.*
%{_libdir}/gstreamer-%{major}/libgstcdxaparse.*
%{_libdir}/gstreamer-%{major}/libgstchart.*
%{_libdir}/gstreamer-%{major}/libgstcolorspace.*
%{_libdir}/gstreamer-%{major}/libgstcutter.*
%{_libdir}/gstreamer-%{major}/libgstdeinterlace.*
%{_libdir}/gstreamer-%{major}/libgsteffectv.*
%{_libdir}/gstreamer-%{major}/libgstesdmon.*
%{_libdir}/gstreamer-%{major}/libgstesdsink.*
%{_libdir}/gstreamer-%{major}/libgstfestival.*
%{_libdir}/gstreamer-%{major}/libgstfilter.*
%{_libdir}/gstreamer-%{major}/libgstflxdec.*
%{_libdir}/gstreamer-%{major}/libgstgnomevfssink.*
%{_libdir}/gstreamer-%{major}/libgstgnomevfssrc.*
%{_libdir}/gstreamer-%{major}/libgstgoom.*
%{_libdir}/gstreamer-%{major}/libgsthttpsrc.*
%{_libdir}/gstreamer-%{major}/libgstidct.*
%{_libdir}/gstreamer-%{major}/libgstintfloat.*
%{_libdir}/gstreamer-%{major}/libgstjpeg.*
%{_libdir}/gstreamer-%{major}/libgstlevel.*
%{_libdir}/gstreamer-%{major}/libgstmedian.*
%{_libdir}/gstreamer-%{major}/libgstmikmod.*
%{_libdir}/gstreamer-%{major}/libgstmodplug.*
%{_libdir}/gstreamer-%{major}/libgstmono2stereo.*
%{_libdir}/gstreamer-%{major}/libgstmonoscope.*
%{_libdir}/gstreamer-%{major}/libgstmulaw.*
%{_libdir}/gstreamer-%{major}/libgstoneton.*
%{_libdir}/gstreamer-%{major}/libgstossaudio.*
%{_libdir}/gstreamer-%{major}/libgstpassthrough.*
%{_libdir}/gstreamer-%{major}/libgstplayondemand.*
%{_libdir}/gstreamer-%{major}/libgstpng.*
%ifarch %{ix86}
%{_libdir}/gstreamer-%{major}/libgstqcam.*
%endif
%{_libdir}/gstreamer-%{major}/libgstqtdemux.*
%{_libdir}/gstreamer-%{major}/libgstresample.*
%{_libdir}/gstreamer-%{major}/libgstriff.*
%{_libdir}/gstreamer-%{major}/libgstrtjpeg.*
%{_libdir}/gstreamer-%{major}/libgstsdlvideosink.*
%{_libdir}/gstreamer-%{major}/libgstsilence.*
%{_libdir}/gstreamer-%{major}/libgstsinesrc.*
%{_libdir}/gstreamer-%{major}/libgstsmooth.*
%{_libdir}/gstreamer-%{major}/libgstsmpte.*
%{_libdir}/gstreamer-%{major}/libgstsnapshot.*
%{_libdir}/gstreamer-%{major}/libgstspectrum.*
%{_libdir}/gstreamer-%{major}/libgstspeed.*
%{_libdir}/gstreamer-%{major}/libgststereo.*
%{_libdir}/gstreamer-%{major}/libgststereo2mono.*
%{_libdir}/gstreamer-%{major}/libgststereosplit.*
%{_libdir}/gstreamer-%{major}/libgstsynaesthesia.*
%{_libdir}/gstreamer-%{major}/libgstudp.*
%{_libdir}/gstreamer-%{major}/libgstv4lelement.*
%{_libdir}/gstreamer-%{major}/libgstv4lmjpegsink.*
%{_libdir}/gstreamer-%{major}/libgstv4lmjpegsrc.*
%{_libdir}/gstreamer-%{major}/libgstv4lsrc.*
%{_libdir}/gstreamer-%{major}/libgstvbidec.*
%{_libdir}/gstreamer-%{major}/libgstvcdsrc.*
%{_libdir}/gstreamer-%{major}/libgstvideo.*
%{_libdir}/gstreamer-%{major}/libgstvideocrop.*
%{_libdir}/gstreamer-%{major}/libgstvideoscale.*
%{_libdir}/gstreamer-%{major}/libgstvideosink.*
%{_libdir}/gstreamer-%{major}/libgstvideotestsrc.*
%{_libdir}/gstreamer-%{major}/libgstvolenv.*
%{_libdir}/gstreamer-%{major}/libgstvolume.*
%{_libdir}/gstreamer-%{major}/libgstvorbis.*
%{_libdir}/gstreamer-%{major}/libgstvumeter.*
%{_libdir}/gstreamer-%{major}/libgstwavenc.*
%{_libdir}/gstreamer-%{major}/libgstwavparse.*
%{_libdir}/gstreamer-%{major}/libgstxvideosink.*
%{_libdir}/gstreamer-%{major}/libgsty4menc.*
%{_libdir}/gstreamer-%{major}/libmixmatrix.*
%{_mandir}/man*/*

%files devel
%defattr(-, root, root)
%{_includedir}/gstreamer-%{major}/gst/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*so

%files mp3
%defattr(-, root, root)
%dir %{_libdir}/gstreamer-%{major}
%{_libdir}/gstreamer-%{major}/libgstmad.*

%files extras
%defattr(-, root, root)
%dir %{_libdir}/gstreamer-%{major}
%{_libdir}/gstreamer-%{major}/libgsta52dec.*
%{_libdir}/gstreamer-%{major}/libgstaasink.*
%{_libdir}/gstreamer-%{major}/libgstalsa.*
%{_libdir}/gstreamer-%{major}/libgstdvdec.*
%{_libdir}/gstreamer-%{major}/libgstdvdreadsrc.*
%{_libdir}/gstreamer-%{major}/libgstffmpeg.*
%{_libdir}/gstreamer-%{major}/libgstffmpegall.*
%{_libdir}/gstreamer-%{major}/libgstflac.*
%{_libdir}/gstreamer-%{major}/libgstjpegmmxdec.*
%{_libdir}/gstreamer-%{major}/libgstjpegmmxenc.*
%{_libdir}/gstreamer-%{major}/libgstlame.*
%{_libdir}/gstreamer-%{major}/libgstlibfame.*
%{_libdir}/gstreamer-%{major}/libgstmp1videoparse.*
%{_libdir}/gstreamer-%{major}/libgstmp3types.*
%{_libdir}/gstreamer-%{major}/libgstmpeg1encoder.*
%{_libdir}/gstreamer-%{major}/libgstmpeg1systemencode.*
%{_libdir}/gstreamer-%{major}/libgstmpeg1types.*
%{_libdir}/gstreamer-%{major}/libgstmpeg2dec.*
%{_libdir}/gstreamer-%{major}/libgstmpeg2enc.*
%{_libdir}/gstreamer-%{major}/libgstmpeg2subt.*
%{_libdir}/gstreamer-%{major}/libgstmpeg2types.*
%{_libdir}/gstreamer-%{major}/libgstmpegaudio.*
%{_libdir}/gstreamer-%{major}/libgstmpegaudioparse.*
%{_libdir}/gstreamer-%{major}/libgstmpegstream.*

%changelog
* Fri Apr 16 2004 Matthias Saou <http://freshrpms.net/> 0.6.4-0.4
- Rebuild against new libdv.

* Tue Feb 24 2004 Matthias Saou <http://freshrpms.net/> 0.6.4-0.3
- Rebuild against new libfame.

* Fri Feb  6 2004 Matthias Saou <http://freshrpms.net/> 0.6.4-0.1
- Update to 0.6.4.
- Included mpeg2dec patch from Johan Dahlin.

* Thu Feb  5 2004 Matthias Saou <http://freshrpms.net/> 0.6.3-3.4
- Rebuild against newer mjpegtools where the lib name is right.
- Created a patch to be able to rebuild against current ALSA 1.0.0rc2.
- Added mpeg2dec-devel build dependency and resulting library.

* Tue Nov 11 2003 Matthias Saou <http://freshrpms.net/> 0.6.3-3.1
- Revert to non-patched source.
- Added many missing plugins (mp3 & extras sub-packages).

* Wed Sep 17 2003 Bill Nottingham <notting@redhat.com> 0.6.3-3
- more cleanups

* Fri Sep 12 2003 Nalin Dahyabhai <nalin@redhat.com> 0.6.3-2
- build gstcolorspace against a static bundled libHermes, which might want
  to move into its own package at some point
- explicitly list the plugins which are built in the files manifest so that
  we get errors if there are some which don't get built or get added between
  releases
- disable qcam on amd64 -- configure disables it on non-i386 arches
- limit 1394 support to amd64,ia64,ppc,ppc64,x86

* Thu Sep 11 2003 Alexander Larsson <alexl@redhat.com> 0.6.3-1
- Update to 0.6.3 (gnome 2.4 final)
- remove all mpeg plugins

* Tue Aug 19 2003 Alexander Larsson <alexl@redhat.com> 0.6.2-1
- 0.6.2

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 21 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-7
- use automake 1.6

* Mon Feb 17 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- rebuild to get sane s390x requires

* Tue Feb 11 2003 Jonathan Blandford <jrb@redhat.com> 0.6.0-4
- unset the DISPLAY when running gst-register

* Sat Feb  8 2003 Bill Nottingham <notting@redhat.com> 0.6.0-4
- move libgst*.so.X.X to main package; things require them (#80518, #83805)
- gstreamer-plugins-devel requires gstreamer-devel (#82506)

* Tue Feb  4 2003 Jonathan Blandford <jrb@redhat.com> 0.6.0-3
- remove ffmpeg for now.  It doesn't build -fPIC

* Tue Feb 04 2003 Phil Knirsch <pknirsch@redhat.com> 0.6.0-2
- Bump release and rebuild.

* Thu Jan 30 2003 Jonathan Blandford <jrb@redhat.com>
- new version.  Requires new gstreamer.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 15 2003 Matt Wilson <msw@redhat.com> 0.5.0-18
- disable qcam on all non x86 and x86_64 platforms

* Mon Dec 30 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- fix spec file to better remove libgstmedia-info
- exclude for mainframe

* Thu Dec 19 2002 Elliot Lee <sopwith@redhat.com> 0.5.0-15
- Include ia64
- Add BuildRequires: autoconf automake

* Wed Dec 18 2002 Jonathan Blandford <jrb@redhat.com>
- rebuild

* Tue Dec 17 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-12
- rebuild

* Mon Dec 16 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-10
- rebuild
- disable tests

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 0.5.0-9
- rebuild

* Wed Dec 11 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-7
- fix libdir for ia64.

* Wed Dec 11 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-3
- ExcludeArch: ia64.   Random assembler errors that I have no hope of fixing
- Add devel package

* Wed Dec 11 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-1
- 0.5.0
- apparently, festival-devel isn't needed.

* Tue Dec 10 2002 Tim Powers <timp@redhat.com> 0.4.2-3
- rebuild to fix broken dep on libgstreamer-0.4.2.so.0

* Tue Dec  3 2002 Havoc Pennington <hp@redhat.com>
- excludearch the arches that can't build gstreamer cothreads
- well it isn't really SMP-safe
- add patch for including pthread.h when required
- prereq gconftool
- fix typo that broke schema installation in post

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- initial "official" import
- munge tarball for legal cleanliness

* Thu Nov  7 2002 Jeremy Katz <katzj@redhat.com>
- 0.4.2

* Mon Sep 23 2002 Jeremy Katz <katzj@redhat.com>
- 0.4.1
- install the gconf schema
- use %%configure

* Sun Sep 22 2002 Jeremy Katz <katzj@redhat.com>
- update to 0.4.0
- give explicit vorbis include path, don't run vorbis test

* Sun Aug 11 2002 Jeremy Katz <katzj@redhat.com>
- collapse into one package to preserve some sanity

* Wed Mar 13 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added more BuildRequires and Requires
- rearranged some plugins
- added changelog ;)
